Package org.springframework.web.server

# Interface WebHandler

All Known Implementing Classes:
  `ExceptionHandlingWebHandler`, `FilteringWebHandler`, `HttpWebHandlerAdapter`, `WebHandlerDecorator`

public interface WebHandler
Contract to handle a web request.

Use `HttpWebHandlerAdapter` to adapt a `WebHandler` to an `HttpHandler`. The `WebHttpHandlerBuilder` provides a convenient way to do that while also optionally configuring one or more filters and/or exception handlers.

Since:
  5.0
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`handle(ServerWebExchange exchange)`
Handle the web server exchange.

## Method Details

### handle

reactor.core.publisher.Mono<Void> handle(ServerWebExchange exchange)
Handle the web server exchange.

Parameters:
  `exchange` - the current server exchange
Returns:
  `Mono<Void>` to indicate when request handling is complete